org.eclipse.microprofile.context.tck

## Class TckThreadFactory

- java.lang.Object
- - org.eclipse.microprofile.context.tck.TckThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class TckThreadFactory
    extends Object
    implements ThreadFactory

### Constructor Summary

Constructors
Constructor and Description
`TckThreadFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TckThreadFactory

    public TckThreadFactory()

### Method Detail

#### newThread

    public Thread newThread(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`